<template>
    <b-container fluid>

      <b-card class="m-3">
        <b-row slot="header">
            <b-col>
              <h4 class="mt-1">Pré-projetos</h4>
            </b-col>
            <b-col class="text-right">

              <el-dropdown split-button @click="handleClick">
                Filtrar
                <el-dropdown-menu slot="dropdown">
                  <el-dropdown-item>Ativos</el-dropdown-item>
                  <el-dropdown-item>Inativos</el-dropdown-item>
                  <el-dropdown-item>Cancelados</el-dropdown-item>
                </el-dropdown-menu>
              </el-dropdown>

              <el-button type="success" icon="el-icon-plus" class="ml-1" @click="dialogVisible = true">Adicionar</el-button>

            </b-col>
        </b-row>

        <el-table :data="preprojetos" style="width: 100%">
          <el-table-column prop="titulo" label="Título"></el-table-column>
          <el-table-column prop="solicitacao" width="180" label="Data de Solicitação"></el-table-column>
          <el-table-column width="150" label="Ações">
            <template slot-scope="scope">
              <el-button-group>
                <el-button icon="el-icon-edit" @click="handleEdit(scope.$index, scope.row)"></el-button>
                <el-button icon="el-icon-delete" @click="handleDelete(scope.$index, scope.row)"></el-button>
              </el-button-group>
            </template>
          </el-table-column>
        </el-table>

      </b-card>

      <el-dialog
        title="Pré-projeto"
        :visible.sync="dialogVisible"
        width="70%">
        
        <el-form :model="form" :rules="rules" ref="ruleForm" status-icon>
          <el-form-item label="Título" prop="titulo">
            <el-input v-model="form.titulo" 
              placeholder="Informe o título do seu projeto"></el-input>
          </el-form-item>

          <el-form-item label="Descrição" prop="titulo">
            <el-input
              type="textarea"
              :rows="4"
              placeholder="Informe as considerações, observações ou descrição do seu projeto."
              v-model="textarea">
            </el-input>
          </el-form-item>

          <el-upload
            drag
            action="https://jsonplaceholder.typicode.com/posts/"
            :on-preview="handlePreview"
            :on-remove="handleRemove"
            :file-list="fileList"
            multiple>
            <i class="el-icon-upload"></i>
            <div class="el-upload__text">
              Arraste o arquivo aqui ou <em>clique para selecionar</em>
            </div>
          </el-upload>      
          <div>
            <hr>
            <el-button type="success">Salvar</el-button>
            <el-button @click="dialogVisible = false">Cancelar</el-button>
          </div>
        </el-form>
      </el-dialog>
    </b-container>
</template>
<script>
export default {
  data() {
    return {
      preprojetos: [
        {
          titulo:
            'Síntese de Cimentos Resinosos Experimentais e Avaliação das Propriedades Físico-Químicas e Biológicas',
          solicitacao: '01/01/2018',
        },
        {
          titulo:
            'Avaliação do Programa de Controle da Tuberculose em Juiz de Fora - MG',
          solicitacao: '01/01/2018',
        },
        {
          titulo:
            'Promoção da Saúde de Escolares Adolescentes: Oficinas Educativas Voltadas para a Adoção de Comportamento Sexual Seguro',
          solicitacao: '01/01/2018',
        },
      ],
      dialogVisible: false,
      form: {
        titulo:
          'Síntese de Cimentos Resinosos Experimentais e Avaliação das Propriedades Físico-Químicas e Biológicas',
      },
      rules: {
        titulo: [
          { required: true, message: 'O título é obrigatório', trigger: 'blur' },
        ],
      },
    };
  },
  methods: {
    handleEdit(index, row) {
      console.log(index, row);
    },
    handleDelete(index, row) {
      console.log(index, row);
    },
  },
};
</script>
<style>

</style>
